lillian.twining
2005-12-30, 03:01 PM
Why do you have to enter 3 coordinates for every point when drawing a polyline, if the z coordinate has no effect on the location of the polyline? No matter what z coordinate I enter, the polyline is still drawn at the 0 Z coordinate. Atleast in lightweight polylines, it does the same thing, but you only have to enter 2 coordinates for every point. Let me know if anyone has any ideas. I've included an example incase this doesn't make any sense.
'Select Points
ReDim dblPoints(17)
dblPoints(0) = 0: dblPoints(1) = 0: dblPoints(2) = 10 '<-----This number seems to have no effect on the actual polyline
dblPoints(3) = 12: dblPoints(4) = 0: dblPoints(5) = 10
dblPoints(6) = 15.68: dblPoints(7) = 11.43: dblPoints(8) = 100
dblPoints(9) = 6: dblPoints(10) = 18.43: dblPoints(11) = 1000
dblPoints(12) = -3.68: dblPoints(13) = 11.43: dblPoints(14) = 10000
dblPoints(15) = 0: dblPoints(16) = 0: dblPoints(17) = 0
'Draw the LightWeightPolyline
Set objLWPolyLine = ThisDrawing.ModelSpace.AddPolyline(dblPoints)
[ Moderator Action = ON ] Code is easier to read with [ CODE ] (http://forums.augi.com/misc.php?do=bbcode#code) tags... [ Moderator Action = OFF ]
'Select Points
ReDim dblPoints(17)
dblPoints(0) = 0: dblPoints(1) = 0: dblPoints(2) = 10 '<-----This number seems to have no effect on the actual polyline
dblPoints(3) = 12: dblPoints(4) = 0: dblPoints(5) = 10
dblPoints(6) = 15.68: dblPoints(7) = 11.43: dblPoints(8) = 100
dblPoints(9) = 6: dblPoints(10) = 18.43: dblPoints(11) = 1000
dblPoints(12) = -3.68: dblPoints(13) = 11.43: dblPoints(14) = 10000
dblPoints(15) = 0: dblPoints(16) = 0: dblPoints(17) = 0
'Draw the LightWeightPolyline
Set objLWPolyLine = ThisDrawing.ModelSpace.AddPolyline(dblPoints)
[ Moderator Action = ON ] Code is easier to read with [ CODE ] (http://forums.augi.com/misc.php?do=bbcode#code) tags... [ Moderator Action = OFF ]